SUSE Security Update: Security update for krb5
______________________________________________________________________________

Announcement ID:    SUSE-SU-2020:3377-1
Rating:             moderate
References:         #1178512 
Cross-References:   CVE-2020-28196
Affected Products:
                    SUSE Linux Enterprise Module for Server Applications 15-SP2
                    SUSE Linux Enterprise Module for Server Applications 15-SP1
                    SUSE Linux Enterprise Module for Basesystem 15-SP2
                    SUSE Linux Enterprise Module for Basesystem 15-SP1
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for krb5 fixes the following security issue:

   - CVE-2020-28196: Fixed an unbounded recursion via an ASN.1-encoded
     Kerberos message (bsc#1178512).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for Server Applications 15-SP2:

      zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP2-2020-3377=1

   - SUSE Linux Enterprise Module for Server Applications 15-SP1:

      zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2020-3377=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP2:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-3377=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP1:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-3377=1



Package List:

   - SUSE Linux Enterprise Module for Server Applications 15-SP2 (aarch64 ppc64le s390x x86_64):

      krb5-debuginfo-1.16.3-3.15.1
      krb5-debugsource-1.16.3-3.15.1
      krb5-plugin-kdb-ldap-1.16.3-3.15.1
      krb5-plugin-kdb-ldap-debuginfo-1.16.3-3.15.1
      krb5-server-1.16.3-3.15.1
      krb5-server-debuginfo-1.16.3-3.15.1

   - SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):

      krb5-debuginfo-1.16.3-3.15.1
      krb5-debugsource-1.16.3-3.15.1
      krb5-plugin-kdb-ldap-1.16.3-3.15.1
      krb5-plugin-kdb-ldap-debuginfo-1.16.3-3.15.1
      krb5-server-1.16.3-3.15.1
      krb5-server-debuginfo-1.16.3-3.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x x86_64):

      krb5-1.16.3-3.15.1
      krb5-client-1.16.3-3.15.1
      krb5-client-debuginfo-1.16.3-3.15.1
      krb5-debuginfo-1.16.3-3.15.1
      krb5-debugsource-1.16.3-3.15.1
      krb5-devel-1.16.3-3.15.1
      krb5-plugin-preauth-otp-1.16.3-3.15.1
      krb5-plugin-preauth-otp-debuginfo-1.16.3-3.15.1
      krb5-plugin-preauth-pkinit-1.16.3-3.15.1
      krb5-plugin-preauth-pkinit-debuginfo-1.16.3-3.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP2 (x86_64):

      krb5-32bit-1.16.3-3.15.1
      krb5-32bit-debuginfo-1.16.3-3.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):

      krb5-1.16.3-3.15.1
      krb5-client-1.16.3-3.15.1
      krb5-client-debuginfo-1.16.3-3.15.1
      krb5-debuginfo-1.16.3-3.15.1
      krb5-debugsource-1.16.3-3.15.1
      krb5-devel-1.16.3-3.15.1
      krb5-plugin-preauth-otp-1.16.3-3.15.1
      krb5-plugin-preauth-otp-debuginfo-1.16.3-3.15.1
      krb5-plugin-preauth-pkinit-1.16.3-3.15.1
      krb5-plugin-preauth-pkinit-debuginfo-1.16.3-3.15.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP1 (x86_64):

      krb5-32bit-1.16.3-3.15.1
      krb5-32bit-debuginfo-1.16.3-3.15.1


References:

   https://www.suse.com/security/cve/CVE-2020-28196.html
   https://bugzilla.suse.com/1178512